%define upstream_name    HTTP-Parser-XS
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A fast, primitive HTTP request parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl-devel
%description
HTTP::Parser::XS is a fast, primitive HTTP request/response parser.

The request parser can be used either for writing a synchronous HTTP server
or a event-driven server.

The response parser can be used for writing HTTP clients.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.170.0-11.mga8
+ Revision: 1594813
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.170.0-10.mga8
+ Revision: 1529028
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.170.0-9.mga8
+ Revision: 1433004
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.170.0-8.mga7
+ Revision: 1293187
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.170.0-7.mga7
+ Revision: 1249457
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.170.0-6.mga7
+ Revision: 1164836
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.170.0-5.mga7
+ Revision: 1149761
- Rebuild for perl ABI changes

* Mon Jul 24 2017 neoclust <neoclust> 0.170.0-4.mga7
+ Revision: 1130026
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-3.mga6
+ Revision: 1028442
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 957512
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 843184
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 750468
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 685008
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.160.0-3.mga5
+ Revision: 631269
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-2.mga4
+ Revision: 527050
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.160.0-1.mga4
+ Revision: 439390
- update to 0.16

* Wed May 29 2013 jquelin <jquelin> 0.150.0-3.mga4
+ Revision: 430740
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 368316
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 315803
- update to 0.15

* Wed May 30 2012 jquelin <jquelin> 0.140.0-2.mga3
+ Revision: 250775
- rebuild for perl 5.16

* Thu Jun 30 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 116621
- imported package perl-HTTP-Parser-XS


* Thu Jun 30 2011 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
